# Commerce Shipping Best Rate

Allows filtering shipping rates presented to the customer based on service grouping and selection criteria. Give your customers the best price from a list of options.

## Features
* Group shipping methods together and show only the best price among the group. Configurable label and description.
* Disable grouping based on roles. Allows a role such as "Sales" to see the full list of shipping rates and select from them.
* Show both best rate and regular rates together for selected roles.

## Installation

1. Run `composer require drupal/commerce_shipping_best_rate`
2. Install the module `drush pm:enable commerce_shipping_best_rate`
3. Clear the cache `drush cr`

## Create a shipping service group

1. Create a shipping method using the best rate plugin.
2. The rate label is what is shown to the customer and should describe the grouping such as "Ground 3-5 days"
3. Select which services to group. The service with the lowest price will be used and displayed using the rate label.
4. The rate description is optional. It can be used to provide additional information such as with a Next Day Air option you could describe a cutoff time when orders need to be placed before.

## Sort order is important

When sorting the order of shipping methods, the best rate shipping methods must be placed after the shipping methods containing the selected services or they will not appear and the selected services will be missing too.

Example:
* Flat rate
* USPS
* UPS
* FedEx
* Best rate - Ground
* Best rate - Second day
* Best rate - Next day
